import { EMAIL_VENDORS } from "../src";

const path = require("path");
import { describe } from "@jest/globals";
import { createPseudoplainTestsRunner } from "./helpers";

const TESTS_GLOBAL_PATH = "/files/gmail-gmail";
const testsPath = path.resolve(__dirname, `.${TESTS_GLOBAL_PATH}`);

describe("[Pseudo PLAIN] GMail-GMail", () => {
  const runTests = createPseudoplainTestsRunner(testsPath, EMAIL_VENDORS.GMAIL);

  describe("Gmail-Gmail", runTests("chrome-chrome"));
});
