import { describe } from "@jest/globals";
import { createPseudoplainTestsRunner } from "./helpers";
import { EMAIL_VENDORS } from "../src";
const path = require("path");

const TESTS_GLOBAL_PATH = "/files/gmail-outlook";

const testsPath = path.resolve(__dirname, `.${TESTS_GLOBAL_PATH}`);

describe("[Pseudo PLAIN] Gmail-Outlook normalization", () => {
  const runTests = createPseudoplainTestsRunner(testsPath, EMAIL_VENDORS.GMAIL);
  describe("Chrome-Chrome", runTests("chrome-chrome"));
});
